# LayerCollector

LayerCollector : `GuiBase2d`

## Overview

LayerCollector는 ScreenGui, SurfaceGui, BillboardGui 등 UI 인스턴스의 기반 클래스로, UI 요소를 화면에 표시하는 역할을 합니다.

## Properties

### Enabled

`boolean`

LayerCollector의 화면 표시 여부를 설정할 수 있습니다.

이 속성이 false일 경우 UI 요소들은 화면에 표시되지 않으며, 입력 이벤트나 상태 변경에 따른 갱신도 발생하지 않습니다.

#### Code Samples

```lua
ScreenGui.Enabled = false
```

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/layercollector.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
